@import '../../../../assets/styles/common.scss';

.custom-ui-switch {
    .mdl-switch__track {
        width: 100%;
        background: rgba($bgColor,0.25);
    }

    &.mdl-switch.is-checked .mdl-switch__thumb {
        left: calc(100% - 16px);
        background-color: $bgColor;
    }

    &.mdl-switch.is-checked .mdl-switch__track {
        background: rgba($bgColor,0.25);
    }
    .mdl-switch__thumb,
    .mdl-switch__ripple-container .mdl-ripple,
    .mdl-switch.is-checked .mdl-switch__thumb {
        background-color: $bgColor;
    }

    &.mdl-switch.is-focused.is-checked .mdl-switch__focus-helper {
        background-color: rgba($bgColor, 0.26);
        box-shadow: 0 0 0 20px rgba($bgColor, 0.26);
    }
}
